[PC-BSD Testing] Running Qgis have python error

Ken Moore ken at pcbsd.org
Tue May 1 13:01:32 PDT 2012


On 04/27/2012 14:53, claive alvin Acedilla wrote:
>
> Below are the messages when running Qgis
>
>
> Couldn't load SIP module.
> Python support will be disabled.
>
>
> Traceback (most recent call last):
>    File "", line 1, in
> ImportError: No module named sip
>
>
>
> Python version:
> 2.7.3 (default, Apr 17 2012, 15:03:09)
> [GCC 4.2.1 20070831 patched [FreeBSD]]
>
> QGIS version:
> 1.7.4-Wroclaw 'Wroclaw', exported
>
> Python path:
> ['/usr/pbi/qgis-i386/share/qgis/python', '/home/cabpa/.qgis/python', 
> '/home/cabpa/.qgis/python/plugins', 
> '/usr/pbi/qgis-i386/share/qgis/python/plugins', 
> '/usr/pbi/qgis-i386/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg', 
> '/usr/pbi/qgis-i386/lib/python2.7/site-packages/GDAL-1.8.1-py2.7-freebsd-9.0-RELEASE-i386.egg', 
> '/usr/pbi/qgis-i386/lib/python27.zip', 
> '/usr/pbi/qgis-i386/lib/python2.7', 
> '/usr/pbi/qgis-i386/lib/python2.7/plat-freebsd9', 
> '/usr/pbi/qgis-i386/lib/python2.7/lib-tk', 
> '/usr/pbi/qgis-i386/lib/python2.7/lib-old', 
> '/usr/pbi/qgis-i386/lib/python2.7/lib-dynload', 
> '/usr/pbi/qgis-i386/lib/python2.7/site-packages']
>
>
> Im using PCBSD 9.0 USBLite 32 bit
>
>
>
> _______________________________________________
> Testing mailing list
> Testing at lists.pcbsd.org
> http://lists.pcbsd.org/mailman/listinfo/testing

Thanks for catching that!
I just added the devel/py-sip port to the module and triggered it to 
rebuild. Once the PBI does rebuild, I will try to get it approved as 
quickly as possible.

-- 
~~ Ken Moore ~~
PC-BSD/iXsystems

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.pcbsd.org/pipermail/testing/attachments/20120501/57773dbb/attachment.html>


More information about the Testing mailing list